Eng-Tips is the largest engineering community on the Internet

Intelligent Work Forums for Engineering Professionals

  • Congratulations waross on being selected by the Tek-Tips community for having the most helpful posts in the forums last week. Way to Go!

How to draw a involute line under Acad 2000 1

Status
Not open for further replies.

rambozhou

Industrial
Jun 14, 2003
11
0
0
US
I don't know how to draw a involute under Acad 2000,anybody can give me some advice on this? many thanks
 
Replies continue below

Recommended for you

There a simple example of drawing circle involute via LISP:

(defun c:involute(/ plist fi old_osnap cent rad xp yp eang)
(setq plist (list "pline" 'command)
fi 0.0
old_osnap (getvar "osmode")
cent (getpoint "\nSpecify center of invotute: ")
rad (getdist cent "Specify circle radius of involute: ")
)
(initget 0)
(setq eang (getangle cent "Specify end angle <360>: "))
(if (not eang) (setq eang (* pi 2.0)))
(repeat 24
(setq xp (+ (car cent) (* rad (+ (cos fi) (* fi (sin fi)))))
yp (+ (cadr cent) (* rad (- (sin fi) (* fi (cos fi)))))
plist (cons (list 'list xp yp) plist)
fi (+ fi (/ eang 24.0))
)
)
(setq plist (reverse (cons "" plist)))
(setvar "osmode" 0)
(eval plist)
(setvar "osmode" old_osnap)
(command "PEDIT" (entlast) "F" "")
(princ)
)

Regards.
 
the true involute of a circle is the involute funtion as

inv (alfa) = tan (alfa) - alfa.

for alfa in radian and alfa is the pressure angle of the gear.

so for a given circle , you have as many involutes as alfa´s choosen.

I have a exel file to make a script file to load on acad and a LISP program to do the same .

Due a virus attack my pc is out of order until nex week . then I will be able to sen it if you want to.









Pardal
 
Status
Not open for further replies.
Back
Top